# Uses of Interface
org.apache.avro.generic.GenericEnumSymbol

Packages that use GenericEnumSymbol
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.generic
A generic representation for Avro data.

## Uses of GenericEnumSymbol in org.apache.avro

Methods in org.apache.avro that return GenericEnumSymbol
Modifier and Type
Method
Description
`GenericEnumSymbol<?>`
Conversion.`toEnumSymbol(T value, Schema schema, LogicalType type)`
Methods in org.apache.avro with parameters of type GenericEnumSymbol
Modifier and Type
Method
Description
`T`
Conversion.`fromEnumSymbol(GenericEnumSymbol<?> value, Schema schema, LogicalType type)`

## Uses of GenericEnumSymbol in org.apache.avro.generic

Classes in org.apache.avro.generic with type parameters of type GenericEnumSymbol
Modifier and Type
Interface
Description
`interface`
`GenericEnumSymbol<E extends GenericEnumSymbol<E>>`
An enum symbol.
Classes in org.apache.avro.generic that implement GenericEnumSymbol
Modifier and Type
Class
Description
`static class`
`GenericData.EnumSymbol`
Default implementation of `GenericEnumSymbol`.